> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Key



## OpenAPI

````yaml /api-reference/openapi.json post /v1/api-keys
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/api-keys:
    post:
      tags:
        - API keys
      summary: Create Key
      operationId: apps_keys_api_create_key
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KeyIn'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KeyCreated'
          description: Created
      security:
        - UserSessionAuth: []
components:
  schemas:
    KeyIn:
      properties:
        expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Expires At
        name:
          maxLength: 200
          title: Name
          type: string
        scopes:
          items:
            type: string
          title: Scopes
          type: array
      required:
        - name
        - scopes
      title: KeyIn
      type: object
    KeyCreated:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Expires At
        id:
          title: Id
          type: string
        key:
          title: Key
          type: string
        last_used_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Used At
        name:
          title: Name
          type: string
        prefix:
          title: Prefix
          type: string
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Revoked At
        scopes:
          items:
            type: string
          title: Scopes
          type: array
      required:
        - id
        - name
        - prefix
        - scopes
        - expires_at
        - revoked_at
        - last_used_at
        - created_at
        - key
      title: KeyCreated
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.